CREATE TABLE mnt_assets_ext (
    DATA_ROW_ID                       NUMBER(18, 0) ,
    RUN_ID                            NUMBER(18, 0)     NOT NULL,
    ASSET_ID                          NUMBER(18, 0) ,
    ASSET_OVN                         NUMBER(9, 0)  ,
    ASSET_NUMBER                      VARCHAR2(320) ,
    ASSET_TAG                         VARCHAR2(960) ,
    ITEM_ID                           NUMBER(18, 0) ,
    ITEM_NUMBER                       VARCHAR2(1200),
    ITEM_ORGANIZATION_ID              NUMBER(18, 0) ,
    ITEM_ORGANIZATION_CODE            VARCHAR2(72)  ,
    ITEM_REVISION                     VARCHAR2(72)  ,
    SERIAL_NUMBER                     VARCHAR2(320) ,
    LOT_NUMBER                        VARCHAR2(320) ,
    QUANTITY                          NUMBER        ,
    UOM_CODE                          VARCHAR2(12)  ,
    STATUS_CODE                       VARCHAR2(120) ,
    ACTIVE_END_DATE                   TIMESTAMP(6)  ,
    IOT_ENABLED_FLAG                  VARCHAR2(4)   ,
    CURRENT_LOCATION_CONTEXT          VARCHAR2(320) ,
    CURRENT_LOCATION_ID               NUMBER(18, 0) ,
    LOCATION_ORGANIZATION_ID          NUMBER(18, 0) ,
    SUBINVENTORY_CODE                 VARCHAR2(120) ,
    INVENTORY_LOCATOR_ID              NUMBER(18, 0) ,
    WORK_ORDER_ID                     NUMBER(18, 0) ,
    WORK_ORDER_NUMBER                 VARCHAR2(480) ,
    WORK_ORDER_OPERATION_ID           NUMBER(18, 0) ,
    WO_OPERATION_SEQ_NUMBER           NUMBER        ,
    WO_OPERATION_NAME                 VARCHAR2(480) ,
    WORK_CENTER_ID                    NUMBER(18, 0) ,
    WORK_CENTER_CODE                  VARCHAR2(120) ,
    WORK_CENTER_NAME                  VARCHAR2(480) ,
    EXTERNAL_LOCATION                 VARCHAR2(960) ,
    SALES_ORDER_SOURCE_SYSTEM_TYPE    VARCHAR2(120) ,
    SALES_ORDER_SOURCE_SYSTEM         VARCHAR2(120) ,
    SALES_ORDER_NUMBER                VARCHAR2(480) ,
    SALES_ORDER_ID                    NUMBER(18, 0) ,
    SALES_ORDER_LINE_NUMBER           VARCHAR2(480) ,
    SALES_ORDER_LINE_ID               NUMBER(18, 0) ,
    INSTALLED_LOCATION_CONTEXT        VARCHAR2(320) ,
    INSTALLED_LOCATION_ID             NUMBER(18, 0) ,
    SHIPMENT_DATE                     DATE          ,
    INSTALLED_DATE                    DATE          ,
    IN_SERVICE_DATE                   DATE          ,
    PURCHASE_DATE                     DATE          ,
    ORIGINATION_DATE                  TIMESTAMP(6)  ,
    SOLD_BY_BUSINESS_UNIT_ID          NUMBER(18, 0) ,
    REGISTERED_FLAG                   VARCHAR2(4)   ,
    REGISTRATION_DATE                 DATE          ,
    CUSTOMER_ASSET_START_DATE         TIMESTAMP(6)  ,
    CUSTOMER_ASSET_END_DATE           TIMESTAMP(6)  ,
    CUSTOMER_ID                       NUMBER(18, 0) ,
    CUSTOMER_SITE_PARTY_ID            NUMBER(18, 0) ,
    CUSTOMER_SITE_ID                  NUMBER(18, 0) ,
    CUSTOMER_BILLING_PARTY_ID         NUMBER(18, 0) ,
    CUSTOMER_BILLING_PARTY_SITE_ID    NUMBER(18, 0) ,
    CUSTOMER_ACCOUNT_ID               NUMBER(18, 0) ,
    CUSTOMER_ACCOUNT_SITE_ID          NUMBER(18, 0) ,
    CUSTOMER_ACCOUNT_SITE_USE_ID      NUMBER(18, 0) ,
    SUPPLIER_ID                       NUMBER(18, 0) ,
    SUPPLIER_SITE_ID                  NUMBER(18, 0) ,
    NEW_WO_ALLOWED_FLAG               VARCHAR2(4)   ,
    DFLT_WO_TYPE                      VARCHAR2(120) ,
    DFLT_WO_SUB_TYPE                  VARCHAR2(120) ,
    MAINTAINABLE_FLAG                 VARCHAR2(4)   ,
    LOGICAL_FLAG                      VARCHAR2(4)   ,
    ASSET_CREATION_DATE               TIMESTAMP(6)  ,
    ASSET_LAST_UPDATE_DATE            TIMESTAMP(6)  ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    DATA_ROW_ID                       NUMBER(18, 0) ,
    RUN_ID                            NUMBER(18, 0)     NOT NULL,
    ASSET_ID                          NUMBER(18, 0) ,
    ASSET_OVN                         NUMBER(9, 0)  ,
    ASSET_NUMBER                      VARCHAR2(320) ,
    ASSET_TAG                         VARCHAR2(960) ,
    ITEM_ID                           NUMBER(18, 0) ,
    ITEM_NUMBER                       VARCHAR2(1200),
    ITEM_ORGANIZATION_ID              NUMBER(18, 0) ,
    ITEM_ORGANIZATION_CODE            VARCHAR2(72)  ,
    ITEM_REVISION                     VARCHAR2(72)  ,
    SERIAL_NUMBER                     VARCHAR2(320) ,
    LOT_NUMBER                        VARCHAR2(320) ,
    QUANTITY                          NUMBER        ,
    UOM_CODE                          VARCHAR2(12)  ,
    STATUS_CODE                       VARCHAR2(120) ,
    ACTIVE_END_DATE                   TIMESTAMP(6)  ,
    IOT_ENABLED_FLAG                  VARCHAR2(4)   ,
    CURRENT_LOCATION_CONTEXT          VARCHAR2(320) ,
    CURRENT_LOCATION_ID               NUMBER(18, 0) ,
    LOCATION_ORGANIZATION_ID          NUMBER(18, 0) ,
    SUBINVENTORY_CODE                 VARCHAR2(120) ,
    INVENTORY_LOCATOR_ID              NUMBER(18, 0) ,
    WORK_ORDER_ID                     NUMBER(18, 0) ,
    WORK_ORDER_NUMBER                 VARCHAR2(480) ,
    WORK_ORDER_OPERATION_ID           NUMBER(18, 0) ,
    WO_OPERATION_SEQ_NUMBER           NUMBER        ,
    WO_OPERATION_NAME                 VARCHAR2(480) ,
    WORK_CENTER_ID                    NUMBER(18, 0) ,
    WORK_CENTER_CODE                  VARCHAR2(120) ,
    WORK_CENTER_NAME                  VARCHAR2(480) ,
    EXTERNAL_LOCATION                 VARCHAR2(960) ,
    SALES_ORDER_SOURCE_SYSTEM_TYPE    VARCHAR2(120) ,
    SALES_ORDER_SOURCE_SYSTEM         VARCHAR2(120) ,
    SALES_ORDER_NUMBER                VARCHAR2(480) ,
    SALES_ORDER_ID                    NUMBER(18, 0) ,
    SALES_ORDER_LINE_NUMBER           VARCHAR2(480) ,
    SALES_ORDER_LINE_ID               NUMBER(18, 0) ,
    INSTALLED_LOCATION_CONTEXT        VARCHAR2(320) ,
    INSTALLED_LOCATION_ID             NUMBER(18, 0) ,
    SHIPMENT_DATE                     DATE          ,
    INSTALLED_DATE                    DATE          ,
    IN_SERVICE_DATE                   DATE          ,
    PURCHASE_DATE                     DATE          ,
    ORIGINATION_DATE                  TIMESTAMP(6)  ,
    SOLD_BY_BUSINESS_UNIT_ID          NUMBER(18, 0) ,
    REGISTERED_FLAG                   VARCHAR2(4)   ,
    REGISTRATION_DATE                 DATE          ,
    CUSTOMER_ASSET_START_DATE         TIMESTAMP(6)  ,
    CUSTOMER_ASSET_END_DATE           TIMESTAMP(6)  ,
    CUSTOMER_ID                       NUMBER(18, 0) ,
    CUSTOMER_SITE_PARTY_ID            NUMBER(18, 0) ,
    CUSTOMER_SITE_ID                  NUMBER(18, 0) ,
    CUSTOMER_BILLING_PARTY_ID         NUMBER(18, 0) ,
    CUSTOMER_BILLING_PARTY_SITE_ID    NUMBER(18, 0) ,
    CUSTOMER_ACCOUNT_ID               NUMBER(18, 0) ,
    CUSTOMER_ACCOUNT_SITE_ID          NUMBER(18, 0) ,
    CUSTOMER_ACCOUNT_SITE_USE_ID      NUMBER(18, 0) ,
    SUPPLIER_ID                       NUMBER(18, 0) ,
    SUPPLIER_SITE_ID                  NUMBER(18, 0) ,
    NEW_WO_ALLOWED_FLAG               VARCHAR2(4)   ,
    DFLT_WO_TYPE                      VARCHAR2(120) ,
    DFLT_WO_SUB_TYPE                  VARCHAR2(120) ,
    MAINTAINABLE_FLAG                 VARCHAR2(4)   ,
    LOGICAL_FLAG                      VARCHAR2(4)   ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    ASSET_CREATION_DATE               TIMESTAMP(6)  ,
    ASSET_LAST_UPDATE_DATE            TIMESTAMP(6)  ,
    CONSTRAINT pk_mnt_assets_ext PRIMARY KEY (DATA_ROW_ID, DATA_ROW_ID)
);
